<div fxLayout="column">
  <div class='heading'>
    <h1>About Ignition</h1>
    <p></p>
  </div>

  <div fxLayout="row" fxLayoutAlign='center'>
    <aside fxFlex="4 1"></aside>
    <div class="main" fxLayout="column" fxLayoutAlign='center' fxFlex="1 auto">
      <p>
      Ignition is a collection of open source software libraries designed to
      simplify development of high-performance applications. The primary
      audience for Ignition are robot developers, designers, and educators.
      However, Ignition has been structured to suit many different use cases.
      Each library within Ignition has minimal dependencies, allowing them to
      be used in tasks ranging from solving mathematical transforms, to video
      encoding, and up to simulation and process management. Just choose the
      libraries you need for your application without committing to a whole
      ecosystem.
      </p>

      <p>
      Trust and reliablity has been established through a curation and
      maintainence process lead by <a href="https://openrobotics.org">Open Robotics</a> in collaboration with a community of developers. Each
      library within Ignition has been designed to serve a specific purpose.
      This philosophy reduces code clutter, establishes consistency between
      libraries, and simplifies finding solutions. Development and maintenance
      adheres to a protocol consisting of multiple reviews, code checkers,
      and continuous integration. Take a look at <a href="https://ignitionrobotics.org/docs/all/roadmap">Ignition's roadmap</a> for upcoming features and the
      latest improvements.
      </p>

      <h2>Guiding principles</h2>

      <p>
      The development of Ignition follows these core principles.
      </p>

      <ul>
        <li>
          <b>Generality</b>:
            Ignition does not specialize in one type of robot. Features are
            meant to apply to as many use cases in robotics as possible.
        </li>
        <li>
          <b>Stability</b>:
            Stable releases are provided to the community periodically. Subsequent
            improvements to stable releases strive to keep backwards compatibility
            of API, ABI and behaviour. Breaking changes target an upcoming release.
        </li>
        <li>
          <b>Updates</b>:
            New backwards compatible features are added to stable releases
            whenever possible. This way, users can take advantage of new features
            without the need to upgrade to a later release, and can postpone
            upgrade efforts until breaking changes are needed.
        </li>
        <li>
          <b>Ease of use</b>:
            Default behaviors should be beginner friendly. For example, by
            default, Gazebo starts running a graphical interface. Advanced
            users can run headless, but extra configuration is necessary to
            achieve this behavior.
        </li>
        <li>
          <b>Modularity</b>:
            Ignition packages are as independent as possible so that they can be
            used in a variety of projects besides Gazebo. For example, a user of
            Ignition Rendering does not need to install, compile, or even know
            about Ignition Physics.
        </li>
        <li>
          <b>Extensibility</b>:
            Users do not need to fork the core libraries or compile from source to
            add functionality. For example, a new rendering engine can be loaded
            as a plugin.
        </li>
        <li>
          <b>Flexibility</b>:
            Users are given options to opt in or out of features whenever
            reasonable. For example, physics is integrated into Gazebo as a
            plugin, so users can load a simulation without physics, or with
            alternative physics, if desired.
        </li>
        <li>
          <b>Maintainability</b>:
            The long-term maintainability of the code is taken into account
            during development. To that end, the project follows strict testing,
            documentation, linting and style standards.
        </li>
        <li>
          <b>Portability</b>:
            Ignition is supported on all major operating systems: Linux, macOS
            and Windows. This impacts how dependencies are chosen and features
            are implemented.
        </li>
      </ul>

      <h2>History and relation to Gazebo</h2>

      <p>
      Ignition has its origins in <a href="http://gazebosim.org">Gazebo Classic</a>,
      a robotic simulator that was started in 2002. After over 15 years of
      development it was time for a significant upgrade and modernization.
      This upgrade also provided the opportunity to move away from
      a monolithic architecture to a collection of loosely coupled libraries.
      The scope of these changes required a new code base and name to
      distinguish Ignition from its predecessor.
      </p>

      <img src='assets/images/timeline.svg'>
      <div fxFlex='auto' fxLayout.lt-md='column'
           fxLayout.gt-sm='row'
           fxLayoutAlign.lt-md='start center'
           fxLayoutAlign.gt-sm='start center'>
      </div>

      <h2>Terminology</h2>
      <div fxLayout="column" fxLayoutAlign='start start'>
        <div class='term'>
          <h3>Ignition</h3>
          <p>The complete Ignition platform which includes software libraries and cloud services.</p>

          <ul>
            <li><i>"Ignition includes the Gazebo simulator."</i></li>
            <li><i>"There is a new release of Ignition out called Dome?"</i></li>
          </ul>
        </div>

        <div class='term'>
          <h3>Ignition Gazebo</h3>
          <p>Refers specifically to the Gazebo simulator that is part of Ignition.</p>

          <ul>
            <li><i>"Try running Ignition Gazebo with verbose output."</i></li>
            <li><i>"Have you seen Ignition Gazebo's latest feature?"</i></li>
          </ul>
        </div>

        <div class='term'>
          <h3>Gazebo Classic</h3>
          <p>A version of Gazebo prior to development of Ignition. These versions are numerical with major version number ranging from 0 to 11.</p>

          <ul>
            <li><i>"My project depends on Gazebo Classic."</i></li>
          </ul>
        </div>
      </div>
    </div>
    <aside fxFlex="4 auto"></aside>
  </div>
</div>
